#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li>
                    <a href="@{admin.UsulanCtr.detailPengumuman(produk_id)}">&{'pengumuman.label'} ${usulan?.judul_pengumuman == null ? usulan?.nama_usulan : usulan?.judul_pengumuman}</a>
                </li>
                <li>
                    <a href="@{admin.UsulanCtr.aanwijzing()}?produk_id=${usulan.id}">&{'aanwijzing.label'}</a>
                </li>
                <li class="active">&{'aanwijzing_komentar.label'} : ${aq?.judul_pertanyaan}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                <a class="btn btn-default btn-md" href="@{admin.UsulanCtr.aanwijzing()}?produk_id=${usulan.id}">
                    <i class="fa fa-arrow-circle-left"></i> &{'kembali.label'}
                </a>
            </div>
            <!-- End Toolbar -->
        #{alert /}
        </div>
    </div>
    <div class="row aan-detail">
        <div class="col-md-3 col-xs-12 left">

            <div class="input-group searchbar-form wrapper-search hidden-mobile">
                <input type="text" id="search-bar-child" name="q" value="#{if search!=null}${search}#{/if}" class="form-control search-icon ui-autocomplete-input" placeholder="Cari Pertanyaan" autocomplete="off">
                <span class="input-group-addon icon-search">
                    <button type="button" id="button-search-bar-child"><i class="fa fa-search"></i></button>
                </span>
            </div>
            <div class="title mart-1rem">
                &{'jawaban_terbaru.label'}
            </div>
                #{if aanwijzingAnswerLatest.isEmpty()}
                      &{'jawaban_terbaru_belum_ada.label'}
                #{/if}
            #{list aanwijzingAnswerLatest, as: 'aal'}
                <div class="card-custom mart-1rem">
                    <div class="item">
                        <div class="date">${aal?.getCreatedDate()}</div>
                        <div class="desc">
                             ${ aal?.cleanAndAbbreviateAnswer().replaceAll("\\<.*?\\>", "").length() > 110 ?
                            aal?.cleanAndAbbreviateAnswer().replaceAll("\\<.*?\\>", "").substring(0,100) + " ..." :aal?.cleanAndAbbreviateAnswer().raw()}
                        </div>
                    </div>
                </div>
            #{/list}
        </div>
        <div class="col-md-9 col-xs-12 mart-1rem-m">
            <div class="row card-custom">
                <div class="col-md-12">
                    <div class="title">
                    ${aq?.judul_pertanyaan}
                    </div>
                    <div class="small-text">
                    &{'dibuat_oleh.label'} <span class="font-bold">${aq?.createdBy(aq?.created_by)}</span>
                    &{'pada_tanggal.label'} ${aq?.getCreatedDateAndTime()}
                    </div>
                    <div class="desc">
                    ${aq?.cleanAndAbbreviateQuestion()}
                    </div>
                    <div class="descImageQuestion">
                    #{if aq?.doc_question != null}
                        #{if aq?.getFileExtension() == ".png" || aq?.getFileExtension() == ".jpg" || aq?.getFileExtension() == ".jpeg"}
                            <div id="lightgalleryQuestion${aq?.id}">
                                <a href="${aq?.getFileUrl()}">
                                    <img src="${aq?.getFileUrl()}" width="25%">
                                </a>
                            </div>
                        #{/if}
                        #{else}
                            <a href="${aq?.getFileUrl()}" target="_blank">&{'aanwijzing_download_berkas.label'}</a>
                        #{/else}
                    #{/if}
                    </div>
                #{form @admin.UsulanCtr.createAnswer(), method:'POST', id:'answer_pertanyaan', class:'answer_pertanyaan', enctype:'multipart/form-data'}
                    <div class="form-group">
                        <input type="hidden" id="pertanyaan_id" name="pertanyaan_id" class="form-control" value="${id}">
                    </div>
                    <div class="form-group">
                        <input type="hidden" id="produk_id" name="produk_id" class="form-control" value="${produk_id}">
                    </div>
                    <div class="form-group">
                        <textarea id="answer" name="answer" class="form-control" rows="3"
                                  placeholder="&{'tulis_komentar.label'}"></textarea>
                    </div>
                    <div class="form-group">
                        <div class="col-md-3">&{'lampiran_jawaban.label'}</div>
                        <div class="col-md-9 custom-fileupload">
                            <input id="file" type="file" accept=".doc,.docx,.pdf,.jpg,.jpeg,.png" name="file">
                            <label class="control-label">&{'dokumen.label'} .DOC, .DOCX, .PDF, .JPG, .JPEG, .PNG</label>
                        </div>
                    </div>
                    <div class="form-group left-text">
                        <button type="button"
                                class="btn btn-danger btn_jawab_pertanyaan">&{'jawab.label'} &{'pertanyaan.label'}</button>
                    </div>
                #{/form}
                    <div class="discuss">
                    #{if aanwijzingAnswer.isEmpty() && search == null}
                        <div class="diskusi">&{'komentar_belum_ada.label'}</div>
                    #{/if}
                    #{if aanwijzingAnswer.isEmpty() && search != null }
                        <div class="diskusi">&{'komentar_tidak_ditemukan.label'}</div>
                    #{/if}
                    #{if !aanwijzingAnswer.isEmpty()}
                        <div class="diskusi">&{'komentar.label'}</div>
                    #{/if}
                    #{list aanwijzingAnswer, as: 'aa'}
                        <div class="wrapper-discuss" style="margin-bottom: 15px">
                            <div class="row">
                                <div class="col-md-12 pad-l-zero">
                                    <span class="title-discuss font-bold">${aa?.createdBy(aa?.created_by)}</span><br/>
                                    <span class="day">${aa?.getCreatedDateAndTime()}</span>
                                </div>
                                *{<div class="col-md-1 text-right">
                                    #{if aa?.isYourComment(aa?.id,aa?.created_by)}
                                        #{deleteButton action:@admin.UsulanCtr.deleteAnswer(aa?.pertanyaan_id,aa?.produk_id,aa?.id) /}
                                        <a href="#" class="btn btn-warning btn-md btn_edit_modal"
                                           produk_id="${aq?.produk_id}" pertanyaan_id="${aa?.pertanyaan_id}"
                                           answer="${aa?.answer}"
                                           id="${aa?.id}">
                                            <i class="fa fa-pencil"></i> Edit
                                        </a>
                                    #{/if}
                                </div>}*
                            </div>
                            <div class="desc-discuss">
                            ${aa?.cleanAndAbbreviateAnswer()}
                            </div>
                            <div class="descImage">
                                #{if aa?.doc_answer != null}
                                    #{if aa?.getFileExtension() == ".png" || aa?.getFileExtension() == ".jpg" || aa?.getFileExtension() == ".jpeg"}
                                        <div id="lightgallery${aa_index}">
                                            <a href="${aa?.getFileUrl()}">
                                                <img src="${aa?.getFileUrl()}" width="25%">
                                            </a>
                                        </div>
                                    #{/if}
                                    #{else}
                                        <a href="${aa?.getFileUrl()}" target="_blank">&{'aanwijzing_download_berkas.label'}</a>
                                    #{/else}
                                #{/if}
                            </div>
                        </div>
                    #{/list}
                    #{pagination p/}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->

    <div class="modal fade modal-aan" id="editModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
        #{form @admin.UsulanCtr.editAnswer(), method:'POST', id:'edit_answer', class:'edit_answer'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <div class="modal-title" id="myModalLabel">&{'ubah.label'} &{'komentar.label'}</div>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <input type="hidden" id="editid" name="editid" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="hidden" id="editpertanyaan_id" name="editpertanyaan_id" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="hidden" id="editproduk_id" name="editproduk_id" class="form-control">
                    </div>
                    <div class="form-group">
                        <textarea id="editanswer" name="editanswer" class="form-control" rows="3"
                                  placeholder="&{'tulis_komentar.label'}" required></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i
                            class="fa fa-close"></i> &{'batal.label'}</button>
                    <button type="submit" class="btn btn-danger btn-md btn_edit_answer"><i
                            class="fa fa-save"></i> &{'simpan.label'}
                    </button>
                </div>
            </div>
        #{/form}
        </div>
    </div>

    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="showSidebar()"><span class="span-hide">Hide </span>Filter</a>
            </div>
        </div>
    </div>
    <div class="faq" id="mobile-sidebar">
        <div class="mobile-navigation-bar">
            <a href="#" onclick="closeSidebar()">
                <i class="fa fa-arrow-circle-left"></i> &{'aanwijzing.label'}
            </a>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="input-group searchbar-form wrapper-search mart-2rem">
                    <input type="text" id="search-bar-child" name="q" value="#{if search!=null}${search}#{/if}" class="form-control search-icon ui-autocomplete-input" placeholder="Cari Pertanyaan" autocomplete="off">
                    <span class="input-group-addon icon-search">
                    <button type="button" id="button-search-bar-child"><i class="fa fa-search"></i></button>
                </span>
                </div>
                <button class="btn btn-block btn-primary btn-red mart-2rem" type="button" id="submitBtn">&{'cari.label'}</button>
            </div>
        </div>
    </div>
</div>
#{set 'moreStyles'}
<style>
    .discuss .wrapper-discuss .fa {
        color: #ffffff !important;
    }
    .desc-discuss {
        font-size: 15px !important;
        margin-top: 1rem !important;
        color: #000000 !important;
    }
    .desc {
        font-size: 15px !important;
        margin-top: 1rem !important;
        color: #000000 !important;
    }
</style>
#{/set}
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/jquery.validate.min.js'}"></script>
<script type="text/javascript">
    #{if aq?.doc_question != null}
        lightGallery(document.getElementById('lightgalleryQuestion${aq?.id}'));
    #{/if}
    #{list aanwijzingAnswer, as: 'aa'}
        #{if aa?.doc_answer != null}
            lightGallery(document.getElementById('lightgallery${aa_index}'));
        #{/if}
    #{/list}
    var getUrlParameter = function getUrlParameter(sParam) {
        var sPageURL = window.location.search.substring(1),
                sURLVariables = sPageURL.split('&'),
                sParameterName,
                i;

        for (i = 0; i < sURLVariables.length; i++) {
            sParameterName = sURLVariables[i].split('=');

            if (sParameterName[0] === sParam) {
                return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
            }
        }
    };

    function searchBar(searchText) {
        var search = $(searchText).val();
        var searchUrl = getUrlParameter("search");
        var url;
        if (searchUrl == null) {
            url = document.location.href + "&search=" + search;
        } else {
            url = document.location.href.slice(0, document.location.href.lastIndexOf('&')) + "&search=" + search;
        }
        document.location = url;
    }

    $('.hidden-mobile #search-bar-child').bind("enterKey",function(e){
        searchBar(".hidden-mobile #search-bar-child");
    });
    $('#mobile-sidebar #search-bar-child').bind("enterKey",function(e){
        searchBar("#mobile-sidebar #search-bar-child");
    });

    $('.hidden-mobile #search-bar-child, #mobile-sidebar #search-bar-child').keyup(function(e){
        if(e.keyCode == 13)
        {
            $(this).trigger("enterKey");
        }
    });

    $('.hidden-mobile #button-search-bar-child').on("click",function(e){
        searchBar(".hidden-mobile #search-bar-child");
    });
    $('#mobile-sidebar #button-search-bar-child, #submitBtn').on("click",function(e){
        searchBar("#mobile-sidebar #search-bar-child");
    });

    CKEDITOR.replace( 'answer' );
    $('.answer_pertanyaan').validate({
        //ignore: '.note-editor *',
        ignore: [],
        rules: {
            'answer':{
                required: function()
                {
                    CKEDITOR.instances.answer.updateElement();
                },
                minlength:1
            }
        },
        messages: {
            'answer': '${play.i18n.Messages.get('komentar_belum_diisi.label')}'
        },
        errorElement: 'span',
        errorClass: 'help-block',
        focusInvalid: false,
        highlight: function (element) {
            $(element).closest('.form-group').addClass('has-error');
        },
        success: function (label) {
            label.closest('.form-group').removeClass('has-error');
            label.remove();
        },
    });

    $('#file').on("change", function (e){
        e.preventDefault();
        var file_size = $('#file')[0].files[0].size;
        var max_size = "1 MB";
        if (file_size >= 1048576) {
            alert("${play.i18n.Messages.get('ukuran_file_upload_image.label')} "+max_size);
            $('#file').val('');
            return;
        }
    });
    $('input[name="file"]').fileuploader({
        limit: 20,
        maxSize: 50,

        addMore: true
    });
    $('.btn_jawab_pertanyaan').click(function (e) {
        e.preventDefault();
        if (!$('.answer_pertanyaan').valid()) {
            return
        }
        Swal.fire({
            title: '',
            text: "${play.i18n.Messages.get('aanwijzing.comment.create.notif')}",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes'
        }).then((result) => {
            if (result.value) {
                $('.answer_pertanyaan').submit();
            }else {
                return
            }
        })
    });
    $/*('.btn_edit_modal').click(function (e) {
        e.preventDefault();
        var id = $(this).attr("id");
        var produk_id = $(this).attr("produk_id");
        var pertanyaan_id = $(this).attr("pertanyaan_id");
        var answer = $(this).attr("answer");
        $("#editid").val(id);
        $("#editproduk_id").val(produk_id);
        $("#editpertanyaan_id").val(pertanyaan_id);
        $("#editanswer").val(answer);
        $("#editModal").modal();
    });
    $('.edit_answer').validate({
        ignore: '.note-editor *',
        ignore: [],
        rules: {
            'editanswer': 'required'
        },
        messages: {
            'editanswer': '${play.i18n.Messages.get('komentar_belum_diisi.label')}'
        },
        errorElement: 'span',
        errorClass: 'help-block',
        focusInvalid: false,
        highlight: function (element) {
            $(element).closest('.form-group').addClass('has-error');
        },
        success: function (label) {
            label.closest('.form-group').removeClass('has-error');
            label.remove();
        },
    });
    $('.btn_edit_answer').click(function (e) {
        e.preventDefault();
        if (!$('.edit_answer').valid()) {
            return
        }
        $('.edit_answer').submit()
    });*/
</script>
#{/set}